Subject: Building beta 17.1 on NT 4.0
From: [email-masked] ("Wayne Stewart")

13 Mar 1997 14:23:56 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Intended-For: <[email-masked]>
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1157
Original-Sender: [email-masked]

Excuse me if this is old news, but I'm a newbie.  I didn't see
anything about these problems in the FAQ or Release Notes.
(Please respond directly.  I'm only on the 'announce' mailing list.)

Here are the changes I had to make to build beta 17.1 from
sources on NT 4.0:

Installing the binary distribution doesn't link byacc to yacc:
--- bash/cpp-Makefile.orig	Wed Mar 12 10:13:13 1997
+++ bash/cpp-Makefile	Wed Mar 12 10:13:33 1997
@@ -118,11 +118,11 @@
 	$(CC) $(CCFLAGS) $(CPPFLAGS) -o $@ $<
 
 #if defined (HAVE_BISON)
 BISON = bison -y
 #else
-BISON = yacc
+BISON = byacc
 #endif
 
 #if defined (HAVE_GCC)
 #  if defined (GCC_FLAGS)
 GCC_EXTRAS = GCC_FLAGS

Apparently configure doesn't take care of this (@X@ ?):
--- gzip/Makefile.in.orig	Wed Mar 12 11:42:01 1997
+++ gzip/Makefile.in	Wed Mar 12 15:11:21 1997
@@ -77,11 +77,11 @@
 # To install znew, zmore, etc... as gznew, gzmore... use: G=g
 
 ZCAT=@ZCAT@
 # To install zcat executable and man page as gzcat, use: ZCAT=gzcat
 
-X=
+X=.exe
 # For OS/2 or MSDOS, use: X=.exe
 
 O=.o
 # For OS/2 or MSDOS, use: O=.obj

Got unresolved symbols for 'rexec': 
--- tar/src/rtapelib.c.orig	Wed Mar 12 14:13:51 1997
+++ tar/src/rtapelib.c	Wed Mar 12 14:14:13 1997
@@ -33,10 +33,11 @@
 
 #include "system.h"
 
 #include <signal.h>
 
+#undef HAVE_NETDB_H
 #ifdef HAVE_NETDB_H
 # include <netdb.h>
 #endif
 
 #include <setjmp.h>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".